struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Maurizio Catellani <maurizio.catell...@formatsrl.com>
Subject Re: struts2-spring-plugin doesn't work with java 1.4 (1.4.2)
Date Thu, 21 Jun 2007 12:42:08 GMT
I have retrotranslated trhe struts2-spring plugin and now the application 
works fine.
Thankyou, Maurizio

________________________________________________________
Maurizio Catellani
Divisione Soluzioni Applicative - Sviluppo Software
E-mail: maurizio.catellani@formatsrl.com

Format s.r.l.
Via Rodano 17, 42100 Reggio Emilia
Tel: 0522 382828 - Fax: 0522 382820
E-mail: info@formatsrl.com  Web: www.formatsrl.com
¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯



Dave Newton <newton.dave@yahoo.com> 
21/06/2007 13.08
Please respond to
"Struts Developers List" <dev@struts.apache.org>


To
Struts Developers List <dev@struts.apache.org>
cc

Subject
Re: struts2-spring-plugin doesn't work with java 1.4 (1.4.2)






Let's move this over to struts-user.

The spring plugin can be retrotranslated just like the
core S2 libs and works fine under 1.4.

d.

--- Konstantin Priblouda <kpriblouda@yahoo.com> wrote:
> --- Maurizio Catellani
> <maurizio.catellani@formatsrl.com> wrote:
> 
> > My application uses the struts2 plugin for spring
> > and works fine if 
> > installed on a server with runtime java 1.5.
> > but if I use a server with runtime 1.4 (like
> > Websphere 6.0) I receive an 
> > exception:
> > java.lang.UnsupportedClassVersionError: 
> >
> org/apache/struts2/spring/StrutsSpringObjectFactory
> > (Unsupported 
> > major.minor version 49.0)
> > 
> > Affects Versions: 2.0.8
> > Environment: jdk 1.4.2, struts 2.0.8, spring
> 2.0.3,
> > struts-2.0.8-j4
> 
> Struts 2 is compiled for 1.5+  If you really need
> 1.4
> you may step back to WW 2.2.4/5 which offers the
> same
> functionality. 
> 
> regards,
> 
> ----[ Konstantin Pribluda http://www.pribluda.de
> ]----------------
> JTec quality components:
> http://www.pribluda.de/projects/
> 
> 
> 
>
____________________________________________________________________________________
> Choose the right car based on your needs.  Check out
> Yahoo! Autos new Car Finder tool.
> http://autos.yahoo.com/carfinder/
> 
>
---------------------------------------------------------------------
> To unsubscribe, e-mail:
> dev-unsubscribe@struts.apache.org
> For additional commands, e-mail:
> dev-help@struts.apache.org
> 
> 



 
____________________________________________________________________________________
Park yourself in front of a world of choices in alternative vehicles. 
Visit the Yahoo! Auto Green Center.
http://autos.yahoo.com/green_center/ 

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@struts.apache.org
For additional commands, e-mail: dev-help@struts.apache.org






NOTA DI RISERVATEZZA
La presente comunicazione e' destinata esclusivamente al soggetto indicato 
piu' sopra quale destinatario o ad eventuali altri soggetti autorizzati a 
riceverla. Essa contiene informazioni strettamente confidenziali e 
riservate, la cui comunicazione o diffusione a terzi e' proibita, salvo 
che non sia stata espressamente autorizzata. Se avete ricevuto questa 
comunicazione per errore, Vi preghiamo di darne immediata comunicazione al 
mittente e di cancellarne ogni evidenza dai Vostri supporti. Per ogni 
domanda scrivete a postmaster@grupposinapsi.com. Distinti saluti.
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message